Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class ImageElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ImageElement

    public class ImageElement

extends Element

Embedded image.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `ImageElement()`

Method Summary
`static ImageElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`int` | `getHeight()` Height of the image in pixels.
`java.lang.String` | `getSrc()` URI designating the source of this image.
`int` | `getWidth()` The width of the image in pixels.
`boolean` | `isMap()` Use server-side image map.
`void` | `setAlt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setHeight(int height)` Height of the image in pixels.
`void` | `setIsMap(boolean isMap)` Use server-side image map.
`void` | `setSrc(java.lang.String src)` URI designating the source of this image.
`void` | `setUseMap(boolean useMap)` Use client-side image map.
`void` | `setWidth(int width)` The width of the image in pixels.
`boolean` | `useMap()` Use client-side image map.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageElement

    protected ImageElement()

Method Detail

### as

    public static ImageElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getAlt

    public final java.lang.String getAlt()

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### getHeight

    public final int getHeight()

  Height of the image in pixels.

  See Also:
    W3C HTML Specification

### getSrc

    public final java.lang.String getSrc()

  URI designating the source of this image.

  See Also:
    W3C HTML Specification

### getWidth

    public final int getWidth()

  The width of the image in pixels.

  See Also:
    W3C HTML Specification

### isMap

    public final boolean isMap()

  Use server-side image map.

  See Also:
    W3C HTML Specification

### setAlt

    public final void setAlt(java.lang.String alt)

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### setHeight

    public final void setHeight(int height)

  Height of the image in pixels.

  See Also:
    W3C HTML Specification

### setIsMap

    public final void setIsMap(boolean isMap)

  Use server-side image map.

  See Also:
    W3C HTML Specification

### setSrc

    public final void setSrc(java.lang.String src)

  URI designating the source of this image.

  See Also:
    W3C HTML Specification

### setUseMap

    public final void setUseMap(boolean useMap)

  Use client-side image map.

  See Also:
    W3C HTML Specification

### setWidth

    public final void setWidth(int width)

  The width of the image in pixels.

  See Also:
    W3C HTML Specification

### useMap

    public final boolean useMap()

  Use client-side image map.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD